/* -*-c-*-
 *
 * $Id: forward.h,v 1.1 1999/07/01 08:56:23 mdw Exp $
 *
 * Port forwarding
 *
 * (c) 1999 Mark Wooding
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of the `fw' port forwarder.
 *
 * `fw' is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * `fw' is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with `fw'; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------* 
 *
 * $Log: forward.h,v $
 * Revision 1.1  1999/07/01 08:56:23  mdw
 * Initial revision
 *
 */

#ifndef FORWARD_H
#define FORWARD_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Header files ------------------------------------------------------*/

#include <sys/socket.h>
#include <netinet/in.h>

#ifndef IDENTIFY_H
#  include "identify.h"
#endif

/*----- Functions provided ------------------------------------------------*/

/* --- @forward@ --- *
 *
 * Arguments:	@int fd@ = file descriptor attached to client
 *		@struct sockaddr_in *sin@ = pointer to destination address
 *		@const id_req *q@ = pointer to identification request block
 *
 * Returns:	---
 *
 * Use:		Start a port forwarding job.
 */

extern void forward(int /*fd*/, struct sockaddr_in */*sin*/,
		    const id_req */*q*/);

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
